Bug 40103 - CLooG header files are not -Wc++-compat ready
Summary: CLooG header files are not -Wc++-compat ready
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: bootstrap (show other bugs)
Version: 4.5.0
: P3 blocker
Target Milestone: 4.5.0
Assignee: Ian Lance Taylor
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-11 17:09 UTC by Dominique d'Humieres
Modified: 2009-06-09 17:25 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2009-05-12 01:30:52


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique d'Humieres 2009-05-11 17:09:40 UTC
Bootstrap is broken again at revision 147380 (147349 worked):

...
/opt/gcc/i686-darwin/./prev-gcc/xgcc -B/opt/gcc/i686-darwin/./prev-gcc/ -B/opt/gcc/gcc4.5w/i686-apple-darwin9/bin/ -c  -g -O2 -fomit-frame-pointer -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wcast-qual -Wold-style-definition -Wc++-compat -Wmissing-format-attribute -pedantic -Wno-long-long -Wno-variadic-macros -Wno-overlength-strings -Werror -fno-common  -DHAVE_CONFIG_H -I. -I. -I../../gcc-4.5-work/gcc -I../../gcc-4.5-work/gcc/. -I../../gcc-4.5-work/gcc/../include -I./../intl -I../../gcc-4.5-work/gcc/../libcpp/include -I/sw/include  -I../../gcc-4.5-work/gcc/../libdecnumber -I../../gcc-4.5-work/gcc/../libdecnumber/dpd -I../libdecnumber -I/sw/include  -I/sw/include -DCLOOG_PPL_BACKEND   ../../gcc-4.5-work/gcc/graphite.c -o graphite.o
cc1: warnings being treated as errors
../../gcc-4.5-work/gcc/graphite.c: In function 'loop_iv_stack_patch_for_consts':
../../gcc-4.5-work/gcc/graphite.c:500: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
../../gcc-4.5-work/gcc/graphite.c: In function 'clast_to_gcc_expression':
../../gcc-4.5-work/gcc/graphite.c:3844: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
../../gcc-4.5-work/gcc/graphite.c:3874: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
../../gcc-4.5-work/gcc/graphite.c:3895: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
../../gcc-4.5-work/gcc/graphite.c: In function 'gcc_type_for_clast_expr':
../../gcc-4.5-work/gcc/graphite.c:3937: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
../../gcc-4.5-work/gcc/graphite.c:3947: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
../../gcc-4.5-work/gcc/graphite.c:3966: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
../../gcc-4.5-work/gcc/graphite.c: In function 'find_cloog_iv_in_expr':
../../gcc-4.5-work/gcc/graphite.c:5327: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
../../gcc-4.5-work/gcc/graphite.c:5331: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
../../gcc-4.5-work/gcc/graphite.c:5334: error: enum constant defined in struct or union is not visible in C++
/sw/include/cloog/clast.h:9: note: enum constant defined here
Comment 1 Ian Lance Taylor 2009-05-11 20:53:24 UTC
I have posted a patch here:

http://gcc.gnu.org/ml/gcc-patches/2009-05/msg00587.html

The patch is to CLooG.
Comment 2 ian@gcc.gnu.org 2009-05-12 01:26:59 UTC
Subject: Bug 40103

Author: ian
Date: Tue May 12 01:26:45 2009
New Revision: 147407

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=147407
Log:
	PR bootstrap/40103
	* graphite.c: Force -Wc++-compat to only be a warning before
	#including "cloog/cloog.h".

Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/graphite.c

Comment 3 Ian Lance Taylor 2009-05-12 01:30:52 UTC
The bootstrap problem has been fixed by adding a #pragma.  When and if the CLooG header files are made -Wc++-compat compatible, that #pragma should be removed.
Comment 4 Ian Lance Taylor 2009-05-12 01:31:59 UTC
Suspending until CLooG is fixed.
Comment 5 Sebastian Pop 2009-06-09 17:25:01 UTC
I just committed the patch from Ian to the CLooG-PPL git repository.

Sebastian
Comment 6 Sebastian Pop 2009-06-09 17:30:41 UTC
Subject: Bug 40103

Author: spop
Date: Tue Jun  9 17:30:23 2009
New Revision: 148318

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=148318
Log:
2009-06-09  Sebastian Pop  <sebastian.pop@amd.com>

	PR bootstrap/40103
	* graphite.c: Remove pragma GCC diagnostic warning "-Wc++-compat".


Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/graphite.c

Comment 7 joseph@codesourcery.com 2009-06-09 17:42:51 UTC
Subject: Re:  CLooG header files are not -Wc++-compat
 ready

On Tue, 9 Jun 2009, spop at gcc dot gnu dot org wrote:

> 2009-06-09  Sebastian Pop  <sebastian.pop@amd.com>
> 
>         PR bootstrap/40103
>         * graphite.c: Remove pragma GCC diagnostic warning "-Wc++-compat".

I think you should allow more time for people to update after preparing a 
fixed tarball for the infrastructure directory; won't this have broken 
bootstrap for everyone using any existing cloog-ppl release tarball (as 
referenced in install.texi on trunk)?

Comment 8 sebpop@gmail.com 2009-06-09 18:17:32 UTC
Subject: Re:  CLooG header files are not -Wc++-compat 
	ready

On Tue, Jun 9, 2009 at 12:42, joseph at codesourcery dot
com<gcc-bugzilla@gcc.gnu.org> wrote:
> I think you should allow more time for people to update after preparing a
> fixed tarball for the infrastructure directory; won't this have broken
> bootstrap for everyone using any existing cloog-ppl release tarball (as
> referenced in install.texi on trunk)?

Yes, this would break the bootstrap unless you update the cloog sources
from cloog-ppl git.  I will revert this patch.

Sebastian
Comment 9 Sebastian Pop 2009-08-12 15:14:20 UTC
Subject: Bug 40103

Author: spop
Date: Wed Aug 12 15:13:52 2009
New Revision: 150696

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=150696
Log:
Remove pragma GCC diagnostic warning "-Wc++-compat".

2009-08-12  Sebastian Pop  <sebastian.pop@amd.com>

	PR bootstrap/40103
	* graphite.c: Remove pragma GCC diagnostic warning "-Wc++-compat".


Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/graphite.c